Skip to main content
GET
/
trading
/
orders
List orders
curl --request GET \
  --url https://api.anchorage-staging.com/v2/trading/orders \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "orderId": "c6d8c4a8-e883-4ae3-9f35-4a35d06c383d",
      "clOrderId": "40d846b7-6efb-48fa-acc9-dcace827c927",
      "accountId": "a05a846f-4ef0-11ed-a291-dafe71b41c83",
      "symbol": "BTC-USD",
      "side": "BUY",
      "orderQty": "1.0",
      "currency": "BTC",
      "orderType": "MARKET",
      "timeInForce": "GTC",
      "orderStatus": "FILLED",
      "avgPx": "22840.9299",
      "avgPxAllIn": "22863.7708299",
      "leavesQty": "0.0",
      "cancelQty": "0.0",
      "cumQty": "1.0",
      "totalFee": "25.35",
      "feeCurrency": "USD",
      "rejectReason": "",
      "rejectReasonText": "",
      "submitTime'": "2023-03-07T19:49:06.286737Z",
      "transactTime": "2023-03-07T19:49:06.314322Z"
    }
  ],
  "page": {
    "next": "/v2/trading/orders?endDate=2020-08-31T22:14:07Z&limit=2"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

accountId
string

The ID of the account to filter orders by. If provided, only orders for this account will be returned.

subaccountId
string

The ID of the subaccount to filter orders by. If provided, only orders for this subaccount will be returned.

startDateTime
string<date-time>

The start date-time of the trades (exclusive) in YYYY-MM-DDTHH:MM:SS.nnnnnnnnn format. The earliest valid start date-time is '2017-01-01T00:00:00.000000000'. The last valid start date-time is the current date-time. Date-times are always in UTC RFC 3339 'date-time'.

endDateTime
string<date-time>

The end date-time of the trades (exclusive) in YYYY-MM-DDTHH:MM:SS.nnnnnnnnn format. The latest valid end date-time is the current date-time. The earliest valid end date-time is '2017-01-01T00:00:00.000000000'. Date-times are always in UTC RFC 3339 'date-time'.

status
enum<string>[]

One or more statuses to filter orders. If provided, only orders matching these statuses will be returned. If OPEN status is specified, the call returns all orders in [PENDING,NEW,PENDING_CANCEL,PARTIALLY_FILLED] states.

Available options:
OPEN,
REJECTED,
CANCELED,
FILLED
orderIds
string[]

A list of orderIds to return. Invalid orderIds will be ignored. A maximum number of unique 500 order ids are enforced per call.

Required array length: 1 - 500 elements
clientOrderIds
string[]

A list of clientOrderIds to return. Invalid clientOrderIds will be ignored. A maximum number of unique 500 order ids are enforced per call.

Required array length: 1 - 500 elements
limit
integer<int64>
default:100

Maximum number of results to return per query

Required range: 1 <= x <= 2000
orderTypes
enum<string>[]

One or more types to filter orders. If provided, only orders matching these types will be returned.

Available options:
LIMIT,
MARKET,
STOP_LOSS,
STOP_LIMIT,
TAKE_PROFIT_LIMIT,
TWAP,
VWAP,
PEGGED,
POV,
LIMIT_ALL_IN,
MANUAL,
OTHER

Response

A list of Orders and their last status

data
TradingOrderDetails · object[]
required
page
Page · object
required

Pagination info